org.apache.storm.security.serialization

## Class BlowfishTupleSerializer

- java.lang.Object
- - com.esotericsoftware.kryo.Serializer<ListDelegate>
  - - org.apache.storm.security.serialization.BlowfishTupleSerializer

-     public class BlowfishTupleSerializer
      extends com.esotericsoftware.kryo.Serializer<ListDelegate>

  Apply Blowfish encryption for tuple communication to bolts.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `SECRET_KEY` The secret key (if any) for data encryption by blowfish payload serialization factory (BlowfishSerializationFactory).

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BlowfishTupleSerializer(com.esotericsoftware.kryo.Kryo kryo, Map<String,Object> topoConf)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(String[] args)` Produce a blowfish key to be used in “Storm jar” command.
    `ListDelegate` | `read(com.esotericsoftware.kryo.Kryo kryo, com.esotericsoftware.kryo.io.Input input, Class<ListDelegate> type)`
    `void` | `write(com.esotericsoftware.kryo.Kryo kryo, com.esotericsoftware.kryo.io.Output output, ListDelegate object)`

    - ### Methods inherited from class com.esotericsoftware.kryo.Serializer

      `copy, getAcceptsNull, isImmutable, setAcceptsNull, setGenerics, setImmutable`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SECRET_KEY

          public static final String SECRET_KEY

      The secret key (if any) for data encryption by blowfish payload serialization factory (BlowfishSerializationFactory). You should use in via:

      `storm -c topology.tuple.serializer.blowfish.key=YOURKEY -c topology.tuple.serializer=org.apache.storm.security.serialization .BlowfishTupleSerializer jar ...`

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### BlowfishTupleSerializer

          public BlowfishTupleSerializer(com.esotericsoftware.kryo.Kryo kryo,
                                         Map<String,Object> topoConf)

  - ### Method Detail

    - #### main

          public static void main(String[] args)

      Produce a blowfish key to be used in “Storm jar” command.

    - #### write

          public void write(com.esotericsoftware.kryo.Kryo kryo,
                            com.esotericsoftware.kryo.io.Output output,
                            ListDelegate object)

      Specified by:
        `write` in class `com.esotericsoftware.kryo.Serializer<ListDelegate>`

    - #### read

          public ListDelegate read(com.esotericsoftware.kryo.Kryo kryo,
                                   com.esotericsoftware.kryo.io.Input input,
                                   Class<ListDelegate> type)

      Specified by:
        `read` in class `com.esotericsoftware.kryo.Serializer<ListDelegate>`

Copyright © 2021 The Apache Software Foundation. All rights reserved.